# SPDX-FileCopyrightText: © 2026 Alexander Kromm <mmaulwurff@gmail.com>
# SPDX-License-Identifier: CC0-1.0

# https://docs.astral.sh/ruff/
[tool.ruff]
line-length = 85
indent-width = 2
target-version = "py313"
format.quote-style = "single"

# https://github.com/crate-ci/typos/blob/master/docs/reference.md
[tool.typos]
default.extend-ignore-re = [
    "SPDX-FileCopyrightText = .*",
    # Ignore blocks between `# spellchecker:off` and `# spellchecker:on`
    "(?s)(#|//)\\s*spellchecker:off.*?\\n\\s*(#|//)\\s*spellchecker:on",
]
